Last update Wed May 31 17:11:58 2006

# rdmd

rdmd is a program to compile, cache and execute D source code files or 'pseudo shell scripts' (using the she-bang syntax with dmd v0.146 or above) on Linux and Windows systems.

It will cache the executable in the /tmp directory by default and will re-compile the executable if any of the source file, the compiler or rdmd itself is newer than the cached executable. It can optionally use gdmd if specified, but uses dmd by default.

## Usage:

rdmd [D compiler arguments] [rdmd arguments] progfile.d [program arguments]

rdmd arguments:

--help
  This message
--force
  Force re-compilation of source code [default = do not force]
--compiler=(dmd|gdmd)
  Specify compiler [default = dmd]
--tmpdir=tmp_dir_path
  Specify directory to store cached program and other temporaries [default = /tmp]

## Notes:

- dmd or gdmd must be in the current user context $PATH
- rdmd does not support execution of D source code via stdin
- rdmd will only compile and execute files with a '.d' file extension
- rdmd's functionality will probably get folded into dmd itself

written by Dave Fladebo and Robert Mariottini

Copyright © 1999-2006 by Digital Mars, All Rights Reserved | Page generated by Ddoc. | Comments